/**
 * Parse header to {@link Headers} object from raw flat string
 * Designed to handle XMLHttpRequest.getAllResponseHeaders string
 * More info at : https://developer.mozilla.org/en-US/docs/Web/API/XMLHttpRequest/getAllResponseHeaders
 * @param rawHeaders the raw string with the headers
 */
export declare const parseHeadersFromRawString: (rawHeaders: string) => Headers;
