import { PromiseMonitor } from './PromiseMonitor';
import { HttpFetchClient } from '../client/FetchClient';
/**
 * Simplify the use of PromiseMonitor within an {@link HttpFetchClient}.
 *
 * See {@link PromiseMonitor}
 */
export declare class HttpPromiseMonitor<T> extends PromiseMonitor {
    makeMonitor(httpClient: HttpFetchClient<T>, promiseInfo?: object): HttpFetchClient<T>;
}
