import { FetchResponseHandler } from './FetchResponseHandlers';
/**
 * A {@link FetchResponseHandler} that verify if the status code:
 * - is 403: in that case returns a {@link forbiddenError}
 * - is 204: in that case returns a `null` {@link HttpResponse}
 */
export declare const validateBasicStatusCodes: FetchResponseHandler;
